# LiveLike Android Code Challenge

The goal of this challenge is to create an *Giphy search app that allows you to search image and display it as a grid view (basic simple UI) using [Giphy API](https://developers.giphy.com/docs/api/#quick-start-guide).
You can use the [Search API](https://developers.giphy.com/docs/api/endpoint/#search) with the API key: **8LtshfHp2uWb6CFpmzPtJmborDaVWu0Z** (In case the API key is not working you can create you own api key)
#### Note : 
* Make sure to use Giphy API and not Giphy SDK
* If there is any issue with Giphy APi, you can use any api to show grid of images

### Project:-

The Giphy search app will be responsible :-

1. API To deliver results based on search query input
2. When no query passed in, result set should be empty
3. A basic UI which will display list of images from the result in grid form
4. If search query is updated, the old result set should reset with new one
5. Errors should handled with logs and shown to users


### Hard Requirements:-

* *The code must be written in Kotlin*
* Pagination support


## Extra Credit:-
* Unit Test
* Use of Kotlin Coroutines for Thread Handling

#### Submission Guidelines:-

* Implement as much as you can in the time allotted. There is no wrong or right answer
* Try not give default UI much importance (Just a very basic UI would be fine)
* To submit your project you must submit it as a Pull Request